@echo off
:start
ghostx %1 %2 %3
if errorlevel 4 goto done
if errorlevel 3 goto doclean
if errorlevel 2 goto dodoor
goto done
:doclean
if not exist GALCLEAN.BAT goto start
CALL GALCLEAN.BAT
goto start
:dodoor
if not exist EXECDOOR.BAT goto done
EXECDOOR
:done
